Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type JoinTable

    @Target(value={METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface JoinTable

This annotation is used in the mapping of associations. It is specified on the owning side of a many-to-many association, or in a unidirectional one-to-many association. If the JoinTable annotation is missing, the default values of the annotation elements apply. The name of the join table is assumed to be the table names of the associated primary tables concatenated together (owning side first) using an underscore.

Author:
  Emmanuel Bernard

Optional Element Summary
`String` | `catalog` The catalog of the table.
`JoinColumn[]` | `inverseJoinColumns` The foreign key columns of the join table which reference the primary table of the entity that does not own the association (i.e.
`JoinColumn[]` | `joinColumns` The foreign key columns of the join table which reference the primary table of the entity owning the association (i.e.
`String` | `name` The name of the join table.
`String` | `schema` The schema of the table.
`UniqueConstraint[]` | `uniqueConstraints` Unique constraints that are to be placed on the table.

### name

    public abstract String name

  The name of the join table. Defaults to the concatenated names of the two associated primary entity tables, separated by an underscore

  Default:
    ""

### catalog

    public abstract String catalog

  The catalog of the table. Defaults to the default catalog.

  Default:
    ""

### schema

    public abstract String schema

  The schema of the table. Defaults to the default schema for user.

  Default:
    ""

### joinColumns

    public abstract JoinColumn[] joinColumns

  The foreign key columns of the join table which reference the primary table of the entity owning the association (i.e. the owning side of the association). Uses the same defaults as for JoinColumn.

  Default:
    {}

### inverseJoinColumns

    public abstract JoinColumn[] inverseJoinColumns

  The foreign key columns of the join table which reference the primary table of the entity that does not own the association (i.e. the inverse side of the association). Uses the same defaults as for JoinColumn

  Default:
    {}

### uniqueConstraints

    public abstract UniqueConstraint[] uniqueConstraints

  Unique constraints that are to be placed on the table. These are only used if table generation is in effect. Defaults to no additional constraints

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT